    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2011, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Oracle and Java are registered trademarks of Oracle and/or its affiliates.
    025     * Other names may be trademarks of their respective owners.]
    026     *
    027     * ----------------
    028     * YisSymbolic.java
    029     * ----------------
    030     * (C) Copyright 2006-2008, by Anthony Boulestreau and Contributors.
    031     *
    032     * Original Author:  Anthony Boulestreau;
    033     * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034     *
    035     * Changes (from 21-Aug-2001)
    036     * --------------------------
    037     * 29-Mar-2002 : First version (AB);
    038     * 07-Oct-2002 : Fixed errors reported by Checkstyle (DG);
    039     * 18-Aug-2004 : Moved from org.jfree.data --> org.jfree.data.xy (DG);
    040     * 02-Feb-2007 : Removed author tags all over JFreeChart sources (DG);
    041     *
    042     */
    043
    044    package org.jfree.data.xy;
    045
    046    /**
    047     * Represent a data set where Y is a symbolic values. Each symbolic value is
    048     * linked with an Integer.
    049     */
    050    public interface YisSymbolic {
    051
    052        /**
    053         * Returns the list of symbolic values.
    054         *
    055         * @return The symbolic values.
    056         */
    057        public String[] getYSymbolicValues();
    058
    059        /**
    060         * Returns the symbolic value of the data set specified by
    061         * <CODE>series</CODE> and <CODE>item</CODE> parameters.
    062         *
    063         * @param series  the series index (zero-based).
    064         * @param item  the item index (zero-based).
    065         *
    066         * @return The symbolic value.
    067         */
    068        public String getYSymbolicValue(int series, int item);
    069
    070        /**
    071         * Returns the symbolic value linked with the specified
    072         * <CODE>Integer</CODE>.
    073         *
    074         * @param val  value of the integer linked with the symbolic value.
    075         *
    076         * @return The symbolic value.
    077         */
    078        public String getYSymbolicValue(Integer val);
    079
    080    }